<div class="grid p-4 w-full">
  <div class="col-2">
    <button
      pButton
      pRipple
      type="button"
      icon="pi pi-arrow-left"
      label="Voltar"
      class="w-full p-button-info text-3xl"
      [routerLink]="['/galpoes/' + galpaoId + '/baias']"
      routerLinkActive="router-link-active"
    ></button>
  </div>
  <div class="col-10"></div>

  <div class="col-6">
    <i class="pi pi-wifi text-3xl mr-1" style="color: red"></i>
    <span class="text-3xl">Monitorar baia ao vivo</span>
    <video class="w-full pt-2" autoplay="autoplay" muted loop>
      <source src="../../../assets/videos/seg_porco.mp4" type="video/mp4" />
      Your browser does not support the video tag.
    </video>
    <!--iframe src="https://www.youtube.com/embed/sKEtIxctfQ4" class="w-full h-full" title="W3Schools Free Online Web Tutorials"></iframe-->
    <!--iframe src="http://192.168.0.121/asppage/common/index.asp" class="w-full h-full" title="W3Schools Free Online Web Tutorials"></iframe-->
  </div>

  <div class="col-6">
    <div class="grid">
      <span class="col-9 text-3xl">Eventos</span>
      <div class="col-3">
        <button
          pButton
          pRipple
          type="button"
          icon="pi pi-plus"
          label="Adicionar"
          class="w-full p-button-success"
          (click)="open()"
        ></button>
      </div>

      <p-table
        #table
        class="col-12 py-0"
        styleClass="p-datatable-sm"
        [value]="baia.eventos ?? []"
        [loading]="model.buscandoWS"
        [paginator]="true"
        [rows]="5"
        [rowHover]="true"
        [dataKey]="'idEvento'"
        [globalFilterFields]="filters"
        currentPageReportTemplate="Mostrando de {first} a {last} de {totalRecords} eventos"
        [showCurrentPageReport]="true"
      >
        <ng-template pTemplate="caption">
          <div class="p-d-flex">
            <span class="p-input-icon-left p-ml-auto">
              <i class="pi pi-search"></i>
              <input
                type="text"
                class="col-12"
                pInputText
                (input)="inputFilter(table, $event)"
                placeholder="Buscar"
              />
            </span>
          </div>
        </ng-template>
        <ng-template pTemplate="header">
          <tr>
            <th
              *ngFor="let c of columns"
              [pSortableColumn]="c.key"
              [class]="c.class + ' text-xl'"
            >
              {{ c.label }} <p-sortIcon [field]="c.key"></p-sortIcon>
            </th>
            <th class="col-1 text-xl">Evento</th>
            <th class="col-1"></th>
          </tr>
        </ng-template>
        <ng-template pTemplate="body" let-obj>
          <tr [pSelectableRow]="obj">
            <td *ngFor="let c of columns" class="text-xl">{{ obj[c.key] }}</td>
            <td>
              <p-tag
                class="col-2 large-icon"
                [value]="obj.corEvento"
                [icon]="getIcon(obj.corEvento)"
                [severity]="getSeverity(obj.corEvento)"
              ></p-tag>
            </td>
            <td>
              <span class="p-buttonset">
                <button
                  pButton
                  pRipple
                  icon="pi pi-pencil"
                  class="p-button-sm"
                  (click)="open(obj)"
                ></button>
                <button
                  pButton
                  pRipple
                  icon="pi pi-trash"
                  class="p-button-sm p-button-danger"
                  (click)="interact('delete')"
                ></button>
              </span>
            </td>
          </tr>
        </ng-template>
        <ng-template pTemplate="emptymessage">
          <tr>
            <td
              [colSpan]="columns.length"
              class="text-2xl"
              style="text-align: center"
            >
              Dados não encontrados
            </td>
          </tr>
        </ng-template>
      </p-table>
    </div>
  </div>
</div>

<app-modal-cadastro
  title="Adicionar evento"
  [toggle_visible]="tmodal"
  (interact)="interact($event)"
>
  <div class="grid">
    <app-div-input class="col-6" label="Tipo">
      <input
        type="text"
        class="col-12 text-2xl"
        pInputText
        [(ngModel)]="tipo"
      />
    </app-div-input>

    <app-div-input class="col-6" label="Finalidade">
      <input
        type="text"
        class="col-12 text-2xl"
        pInputText
        [(ngModel)]="finalidade"
      />
    </app-div-input>

    <app-div-input class="col-6" label="Quantidade de suinos">
      <input
        type="number"
        class="col-12 text-2xl"
        pInputText
        [(ngModel)]="quantidade"
      />
    </app-div-input>

    <app-div-input class="col-6" label="Data de alojamento">
      <input
        type="date"
        class="col-12 text-2xl"
        pInputText
        [(ngModel)]="data"
      />
    </app-div-input>

    <app-div-input class="col-6" label="Cor do evento">
      <div class="w-full flex flex-wrap gap-3">
        <div *ngFor="let o of options" class="flex align-items-center col-3">
          <p-radioButton
            [inputId]="o.value"
            name="category"
            [value]="o.value"
            [(ngModel)]="corEvento"
            class="text-2xl"
          ></p-radioButton>
          <label [for]="o.value" class="ml-2 text-2xl">{{ o.label }}</label>
        </div>
      </div>
    </app-div-input>

    <div class="col-2"></div>

    <div class="col-2">
      <div class="grid">
        <span class="col-12 text-2xl" style="color: white"> . </span>
        <div class="col-12 py-0">
          <button
            pButton
            pRipple
            type="button"
            icon="pi pi-database"
            label="Salvar"
            class="w-full p-button-success text-2xl"
            (click)="interact('save')"
          ></button>
        </div>
      </div>
    </div>

    <div class="col-2">
      <div class="grid">
        <span class="col-12 text-2xl" style="color: white"> . </span>
        <div class="col-12 py-0">
          <button
            pButton
            pRipple
            type="button"
            icon="pi pi-times"
            label="Cancelar"
            class="w-full p-button-secondary text-2xl"
            (click)="interact('close')"
          ></button>
        </div>
      </div>
    </div>
  </div>
</app-modal-cadastro>
